<p align="center">
  <h3 align="center">ESLint Wrapper Plugin 📦</h3>
  <p align="center">Wrap your ESLint config and its peer dependency plugins with ease.<p>
  <p align="center">
    <a href="https://www.npmjs.com/package/eslint-wrapper-plugin">
      <img src="https://img.shields.io/npm/v/eslint-wrapper-plugin.svg" alt="npm version">
    </a>
    <a href="https://travis-ci.org/Moeriki/eslint-wrapper-plugin">
      <img src="https://travis-ci.org/Moeriki/eslint-wrapper-plugin.svg?branch=master" alt="Build Status"></img>
    </a>
    <a href="https://coveralls.io/github/Moeriki/eslint-wrapper-plugin?branch=master">
      <img src="https://coveralls.io/repos/github/Moeriki/eslint-wrapper-plugin/badge.svg?branch=master" alt="Coverage Status"></img>
    </a>
    <a href="https://david-dm.org/moeriki/eslint-wrapper-plugin">
      <img src="https://david-dm.org/moeriki/eslint-wrapper-plugin/status.svg" alt="dependencies Status"></img>
    </a>
  </p>
</p>

---

## Install

```sh
npm install --save eslint-wrapper-plugin
```

## Usage

Replace `YOURPLUGIN` and `YOURCONFIG` accordingly.

_package.json_

```json
{
  "name": "eslint-plugin-YOURPLUGIN",
  "version": "v1",
  "dependencies": {
    "eslint-wrapper-plugin": "*"
  }
}
```

_index.js_

```js
const wrap = require('eslint-wrapper-plugin');
module.exports = wrap({
  configs: {
    recommended: 'eslint-config-YOURCONFIG',
  },
  plugins: [/* your config's peer dependency plugins, eg: 'import' */],
  prefix: 'YOURPLUGIN',
});
```

## Learn by example

* [eslint-config-muriki](/moeriki/eslint-config-muriki)
* [eslint-plugin-muriki](/moeriki/eslint-plugin-muriki)
